CMSIS-DSP: Absolute Minimum

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Absolute Minimum
Statistics Functions

## Functions

void | arm_absmin_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmin_f32 (const float32_t *pSrc, uint32_t blockSize, float32_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmin_f64 (const float64_t *pSrc, uint32_t blockSize, float64_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmin_no_idx_f16 (const float16_t *pSrc, uint32_t blockSize, float16_t *pResult)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmin_no_idx_f32 (const float32_t *pSrc, uint32_t blockSize, float32_t *pResult)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmin_no_idx_f64 (const float64_t *pSrc, uint32_t blockSize, float64_t *pResult)
| Minimum value of absolute values of a floating-point vector. More...
void | arm_absmin_no_idx_q15 (const q15_t *pSrc, uint32_t blockSize, q15_t *pResult)
| Minimum value of absolute values of a Q15 vector. More...
void | arm_absmin_no_idx_q31 (const q31_t *pSrc, uint32_t blockSize, q31_t *pResult)
| Minimum value of absolute values of a Q31 vector. More...
void | arm_absmin_no_idx_q7 (const q7_t *pSrc, uint32_t blockSize, q7_t *pResult)
| Minimum value of absolute values of a Q7 vector. More...
void | arm_absmin_q15 (const q15_t *pSrc, uint32_t blockSize, q15_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a Q15 vector. More...
void | arm_absmin_q31 (const q31_t *pSrc, uint32_t blockSize, q31_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a Q31 vector. More...
void | arm_absmin_q7 (const q7_t *pSrc, uint32_t blockSize, q7_t *pResult, uint32_t *pIndex)
| Minimum value of absolute values of a Q7 vector. More...

## Description

Computes the minimum value of absolute values of an array of data. The function returns both the minimum value and its position within the array. There are separate functions for floating-point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_absmin_f16 | ( | const float16_t * | pSrc,
|  | uint32_t | blockSize,
|  | float16_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here
  [out] | pIndex | index of minimum value returned here

Returns
  none

void arm_absmin_f32 | ( | const float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here
  [out] | pIndex | index of minimum value returned here

Returns
  none

void arm_absmin_f64 | ( | const float64_t * | pSrc,
|  | uint32_t | blockSize,
|  | float64_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here
  [out] | pIndex | index of minimum value returned here

Returns
  none

void arm_absmin_no_idx_f16 | ( | const float16_t * | pSrc,
|  | uint32_t | blockSize,
|  | float16_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here

Returns
  none

void arm_absmin_no_idx_f32 | ( | const float32_t * | pSrc,
|  | uint32_t | blockSize,
|  | float32_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here

Returns
  none

void arm_absmin_no_idx_f64 | ( | const float64_t * | pSrc,
|  | uint32_t | blockSize,
|  | float64_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here

Returns
  none

void arm_absmin_no_idx_q15 | ( | const q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here

Returns
  none

void arm_absmin_no_idx_q31 | ( | const q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here

Returns
  none

void arm_absmin_no_idx_q7 | ( | const q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here

Returns
  none

void arm_absmin_q15 | ( | const q15_t * | pSrc,
|  | uint32_t | blockSize,
|  | q15_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here
  [out] | pIndex | index of minimum value returned here

Returns
  none

void arm_absmin_q31 | ( | const q31_t * | pSrc,
|  | uint32_t | blockSize,
|  | q31_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here
  [out] | pIndex | index of minimum value returned here

Returns
  none

void arm_absmin_q7 | ( | const q7_t * | pSrc,
|  | uint32_t | blockSize,
|  | q7_t * | pResult,
|  | uint32_t * | pIndex
| ) |  |

Parameters

  [in] | pSrc | points to the input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | minimum value returned here
  [out] | pIndex | index of minimum value returned here

Returns
  none